## sp800-90b-entropy-assessment 1.1.5

=== cpp/Makefile ===
ARCH ?= x86

CXX ?= $(CROSS_COMPILE)g++

CXXFLAGS = -std=c++11 -fopenmp -O2 -ffloat-store -I/usr/include/jsoncpp
ifeq ($(ARCH),x86)
CXXFLAGS += -msse2 -march=native
endif

#CXX = clang++-8
#CXXFLAGS = -Wno-padded -Wno-disabled-macro-expansion -Wno-gnu-statement-expression -Wno-bad-function-cast -fopenmp -O1 -fsanitize=address -fsanitize=undefined -fdenormal-fp-math=ieee -msse2 -march=native
#static analysis in clang using
#scan-build-8 --use-c++=/usr/bin/clang++-8 make
LIB = -lbz2 -lpthread -ldivsufsort 
COND_LIB = -lmpfr -lgmp
SHARED_LIB = -ljsoncpp -lssl -lcrypto
INC =

######
# Main operations
######

all:    iid non_iid restart conditioning transpose

clean:
	rm -f ea_iid ea_non_iid ea_restart ea_conditioning ea_transpose selftest/*.res

iid: iid_main.o
iid_main.o: iid_main.cpp
	$(CXX) $(CXXFLAGS) $(INC) iid_main.cpp -o ea_iid $(LIB) $(SHARED_LIB)
	
non_iid: non_iid_main.o	
non_iid_main.o: non_iid_main.cpp
	$(CXX) $(CXXFLAGS) $(INC) non_iid_main.cpp -o ea_non_iid $(LIB) $(SHARED_LIB)

restart: restart_main.o
restart_main.o: restart_main.cpp
	$(CXX) $(CXXFLAGS) $(INC) restart_main.cpp -o ea_restart $(LIB) $(SHARED_LIB)

conditioning: conditioning_main.o
conditioning_main.o: conditioning_main.cpp
	$(CXX) $(CXXFLAGS) $(INC) conditioning_main.cpp -o ea_conditioning $(LIB) $(COND_LIB) $(SHARED_LIB)

transpose: transpose_main.o
transpose_main.o: transpose_main.cpp
	$(CXX) $(CXXFLAGS) $(INC) transpose_main.cpp -o ea_transpose $(LIB) $(SHARED_LIB)

=== debian/changelog ===
sp800-90b-entropy-assessment (1.1.5-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:03:38 +1100

sp800-90b-entropy-assessment (1.1.5-4build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:24:10 +0000

sp800-90b-entropy-assessment (1.1.5-4) unstable; urgency=medium

  * debian/patches/0003-top-makefile.patch: Fix for cross build.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 19 Apr 2023 13:39:58 +0900

sp800-90b-entropy-assessment (1.1.5-3) unstable; urgency=medium

  * debian/patches/0003-top-makefile.patch: Fix for hardening.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 18 Apr 2023 14:48:04 +0900

sp800-90b-entropy-assessment (1.1.5-2) unstable; urgency=medium

  * debian/patches/0004-randomrange64-32bit.patch: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 12 Apr 2023 12:10:59 +0900

sp800-90b-entropy-assessment (1.1.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1032611).

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 07 Apr 2023 14:47:01 +0900

=== debian/control ===
Source: sp800-90b-entropy-assessment
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: NIIBE Yutaka <gniibe@fsij.org>
Rules-Requires-Root: no
Build-Depends: debhelper (>= 13~), debhelper-compat (= 13), libdebhelper-perl,
 libdivsufsort-dev, libbz2-dev, libjsoncpp-dev, libgmp-dev,
 libssl-dev, libmpfr-dev
Standards-Version: 4.6.2
Homepage: https://csrc.nist.gov/Topics/Security-and-Privacy/cryptography/random-number-generation
Vcs-Browser: https://salsa.debian.org/debian/sp800-90b-entropy-assessment
Vcs-Git: https://salsa.debian.org/debian/sp800-90b-entropy-assessment.git

Package: sp800-90b-entropy-assessment
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Estimating the quality of a source of entropy
 Cryptographic random bit generators (RBGs), also known as random
 number generators (RNGs), require a noise source that produces
 digital outputs with some level of unpredictability, expressed as
 min-entropy.  SP 800-90B provides a standardized means of estimating
 the quality of a source of entropy.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
# Makefile in the package use "x86" as the machine architecture name
ifeq ($(DEB_HOST_ARCH),amd64)
  ARCH=x86
endif
export ARCH

DESTDIR=debian/sp800-90b-entropy-assessment

%:
	dh $@ --with single-binary

override_dh_auto_test:
	cd cpp/selftest && ./selftest

override_dh_auto_install:
	install -d $(DESTDIR)/usr/bin
	install cpp/ea_iid $(DESTDIR)/usr/bin
	install cpp/ea_non_iid $(DESTDIR)/usr/bin
	install cpp/ea_restart $(DESTDIR)/usr/bin
	install cpp/ea_conditioning $(DESTDIR)/usr/bin
	install cpp/ea_transpose $(DESTDIR)/usr/bin

## sp800-90b-entropy-assessment 1.1.8

=== cpp/Makefile ===
--- 
+++ 
@@ -7,13 +7,13 @@
 CXXFLAGS += -msse2 -march=native
 endif
 
-#CXX = clang++-8
-#CXXFLAGS = -Wno-padded -Wno-disabled-macro-expansion -Wno-gnu-statement-expression -Wno-bad-function-cast -fopenmp -O1 -fsanitize=address -fsanitize=undefined -fdenormal-fp-math=ieee -msse2 -march=native
+#CXX = clang++-15
+#CXXFLAGS = -g -Wno-padded -Wno-disabled-macro-expansion -Wno-gnu-statement-expression -Wno-bad-function-cast -fopenmp -O1 -fsanitize=address -fsanitize=undefined -fno-omit-frame-pointer -fdenormal-fp-math=ieee -msse2 -march=native -I/usr/include/jsoncpp
 #static analysis in clang using
-#scan-build-8 --use-c++=/usr/bin/clang++-8 make
-LIB = -lbz2 -lpthread -ldivsufsort 
+#scan-build-15 --use-c++=/usr/bin/clang++-15 make
+LIB = -lbz2 -lpthread -ldivsufsort -ldivsufsort64
 COND_LIB = -lmpfr -lgmp
-SHARED_LIB = -ljsoncpp -lssl -lcrypto
+SHARED_LIB = -ljsoncpp -lcrypto
 INC =
 
 ######

=== debian/changelog ===
sp800-90b-entropy-assessment (1.1.8-3) unstable; urgency=medium

  * debian/patches/0006-test-epsilon.patch: Update.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 06 Dec 2024 09:29:27 +0900

sp800-90b-entropy-assessment (1.1.8-2) unstable; urgency=medium

  * debian/README.Debian: New.
  * debian/patches/0006-test-epsilon.patch: New.
  * debian/rules (override_dh_auto_test): Remove.
  * debian/patches/series: Update.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 05 Dec 2024 10:09:26 +0900

sp800-90b-entropy-assessment (1.1.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/0001-fix-openssl3.patch: Remove.
  * debian/patches/0003-top-makefile.patch: Refresh.
  * debian/patches/0004-randomrange64-32bit.patch: Refresh.
  * debian/patches/0005-no-large-files-32bit.patch: New.
  * debian/patches/series: Update.
  * debian/tests: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 03 Dec 2024 11:09:38 +0900

=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,6 @@
 %:
 	dh $@ --with single-binary
 
-override_dh_auto_test:
-	cd cpp/selftest && ./selftest
-
 override_dh_auto_install:
 	install -d $(DESTDIR)/usr/bin
 	install cpp/ea_iid $(DESTDIR)/usr/bin

=== debian/tests/control ===
Tests: selftest
Depends: @, perl
Restrictions: allow-stderr

=== debian/watch ===
# watch control file for uscan.
# See uscan(1) for format.
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/usnistgov/SP800-90B_EntropyAssessment/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
